suite-desktop lint:
    stage: lint and prettier
    script:
        - yarn workspace @trezor/suite-desktop lint
    dependencies:
        - install and build

suite-desktop type check:
    stage: typescript type check
    script:
        - yarn workspace @trezor/suite-desktop type-check
    dependencies:
        - install and build

suite-desktop build:
    stage: build
    when: manual
    script:
        - yarn workspace @trezor/suite-desktop build:linux
    artifacts:
        expire_in: 1 day
        paths:
            - $PACKAGE_PATH_SUITE_DESKTOP/build-electron
    dependencies:
        - install and build
